import { AccessWaysEnum } from './access-ways-enum';



export type AccessWaysKey =
  | "aft_portside_stair"
  | "aft_starboard_stair"
  | "quayside_crane"
  | "fwd_portside_stair"
  | "fwd_starboard_stair"
  | "engine_funnel"
  | "mid_portside_stair"
  | "mid_starboard_stair"
  | "not_accessible";

export type AccessWays = {
  aft_mooring_deck?:
    | AccessWaysEnum.aftPortsideStair
    | AccessWaysEnum.aftStarboardStair
    | AccessWaysEnum.quaysideCrane;
  fwd_mooring_deck?:
    | AccessWaysEnum.fwdPortsideStair
    | AccessWaysEnum.fwdStarboardStair
    | AccessWaysEnum.quaysideCrane;
  engine_room?:
    | AccessWaysEnum.aftPortsideStair
    | AccessWaysEnum.aftStarboardStair
    | AccessWaysEnum.engineFunnel
    | AccessWaysEnum.midPortsideStair
    | AccessWaysEnum.midStarboardStair;
  starboard_gangway?:
    | AccessWaysEnum.midStarboardStair
    | AccessWaysEnum.notAccessible;
};
